﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.ServiceModel.Syndication;
using Microsoft.Phone.Tasks;

namespace RssPhoneApp
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            WebClient wc = new WebClient();
            wc.OpenReadCompleted += rssReadCompleted;
            Uri uri = new Uri("http://webtv.eal.dk/rss");
            wc.OpenReadAsync(uri);


        }
        private void rssReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            var streamreader = e.Result;
            using (System.Xml.XmlReader xmlReader =
                System.Xml.XmlReader.Create(streamreader))
            {
                var feed = SyndicationFeed.Load(xmlReader);
                //foreach (SyndicationItem item in feed.Items)
                //{
                //    string txt = item.Title.Text;
                //}
                listBox1.ItemsSource = feed.Items;
            }
        }

        private void listBox1_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SyndicationItem item = listBox1.SelectedItem as SyndicationItem;
            Uri uri = item.Links[1].Uri;
            //WebBrowserTask task = new WebBrowserTask();
            //task.Uri = uri;
            //task.Show();
            MediaPlayerLauncher task = new MediaPlayerLauncher();
            task.Media = uri;
            task.Show();
        }
    }
}